Summary: LSB Runtime Test Suites
Name: lsb-test-pam
Version: 2.0
Release: 2
License: Artistic
Group: Development/Tools
Source0: lsb-test-pam-install_scripts-0.9.tar.gz
Source1: lsb-test-pam-build_scripts-0.9.tar.gz
Source2: lsb-test-pam-tests-0.9.8.tar.gz
Source3: tjreport-1.2.tar.gz
URL: http://www.linuxbase.org/test
#Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-root
AutoReqProv: no
%define	tet_root	%{_libdir}/tet


%description

This is a binary version of the LSB PAM test suites.
generated from the following source test suites:
Header file tests from the test suites were removed. 

*WARNING* This test suite contains a number of setuid and setgid
binaries some of which are owned by root or other users. Other setuid
and setgid binaries may be generated and left behind after execution
of the test suites (especially if certain tests fail). You should not
leave this package installed on production systems or in situations
where local users are not completely trusted.

#==================================================
%prep

set +x
echo
echo In order to build this RPM you will need to be logged in
echo as root. During the building of the package /home/tet will
echo be removed.
echo
echo Note that if it is necessary the build process will create
echo 'vsx0 accounts and set the password to a default value (lsbtest).'
echo It is highly recommended that you immediately set the password
echo to something else.
echo 

printf "Do you wish to continue (y/n)? [n] "
read cmd
if [ "$cmd" = "y" -o "$cmd" = "Y" ]; then
  echo Build continuing.
  rm -rf /home/tet
else
  echo Aborting build.
  exit 1
fi
set -x

if [ ! -x /usr/bin/expect ]; then
  echo Could not find expect which is required to build the package
  exit 1
fi

# 
%setup -q -c 
%setup -D -b 1 -c
%setup -D -b 2 -c
%setup -D -b 3 -c


#==================================================
%build

./auto_install_test_suites
cp auto_configure_test_suites.pam /home/tet/test_sets
su -c ./auto_configure_test_suites.pam - vsx0
su -c '. profile; tccb -p' - vsx0

chown vsx0.vsxg0 *

# Do architecture specific configuration
# (Eg settings in tetexec.cfg file)
./set_config_for_arch

#----------- tet

#==================================================
%install
# uncomment later
# rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}/home/tet
chown vsx0.vsxg0 ${RPM_BUILD_ROOT}/home/tet
rsync -a /home/tet ${RPM_BUILD_ROOT}/home

cp post_install.sh ${RPM_BUILD_ROOT}/home/tet/bin/
chmod a+x ${RPM_BUILD_ROOT}/home/tet/bin/post_install.sh

cp /home/tet/test_sets/SRC/install/scripts/editcfg.sh ${RPM_BUILD_ROOT}/home/tet/bin/
# Tailor run_tests script for architecture
%ifarch %{ix86}
LDSO=/lib/ld-lsb.so.2
%endif
%ifarch ppc
LDSO=/lib/ld-lsb-ppc32.so.2
%endif
%ifarch ppc64
LDSO=/lib64/ld-lsb-ppc64.so.2
%endif
%ifarch s390
LDSO=/lib/ld-lsb-s390.so.2
%endif
%ifarch s390x
LDSO=/lib64/ld-lsb-s390x.so.2
%endif
%ifarch ia64
LDSO=/lib/ld-lsb-ia64.so.2
%endif
%ifarch x86_64
LDSO=/lib64/ld-lsb-x86-64.so.2
%endif

cp .profile ${RPM_BUILD_ROOT}/home/tet/test_sets
sed -e "s/BUILD_VERSION=/BUILD_VERSION=\"${RPM_PACKAGE_VERSION}-${RPM_PACKAGE_RELEASE} ($RPM_ARCH)\"/" -e "s\\^LDSO=$\\LDSO=$LDSO\\" run_tests > ${RPM_BUILD_ROOT}/home/tet/test_sets/run_tests
chmod a+x ${RPM_BUILD_ROOT}/home/tet/test_sets/run_tests

mkdir -p $RPM_BUILD_ROOT/usr/share/doc/lsb-test-pam/
cp Artistic README $RPM_BUILD_ROOT/usr/share/doc/lsb-test-pam

# Copy tjreport script
cp tjreport ${RPM_BUILD_ROOT}/home/tet/bin
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man1/
cp tjreport.1 $RPM_BUILD_ROOT/usr/share/man/man1/

#==================================================
%clean
# uncomment later. leave in now for speed
rm -rf ${RPM_BUILD_ROOT}
#rm -rf /home/tet

#======================================================================
%pre

# Need to create some groups and users beforehand because
# when the files are unpacked they need to be owned by the correct user
mkdir -p /home/tet/test_sets
groupadd vsxg0 > /dev/null 2>&1 || true
groupadd vsxg1 > /dev/null 2>&1 || true
groupadd vsxg2 > /dev/null 2>&1 || true
useradd -g vsxg0 -d /home/tet/test_sets -s /bin/sh -c "VSX0 test login" vsx0 > /dev/null 2>&1 || true
useradd -g vsxg1 -d /home/tet -s /bin/sh -c "VSX1 test login" vsx1 > /dev/null 2>&1 || true
useradd -g vsxg2 -d /home/tet -s /bin/sh -c "VSX2 test login" vsx2 > /dev/null 2>&1 || true


#======================================================================
%post

# Do post install setup
/home/tet/bin/post_install.sh
echo 
echo To run the tests log in as vsx0 and follow the displayed instructions
echo No password has been set for the vsx0 user so you may need to login
echo as root and set a password, or su from root.
echo

# After new installation the test suites are no longer configured, so
# we remove this file
rm -f /home/tet/test_sets/.configured

#==================================================
%files
# %defattr(-,root,root)
/home/tet/bin
/home/tet/lib
/home/tet/test_sets/BIN
/home/tet/test_sets/TESTROOT
/home/tet/test_sets/scripts
/home/tet/test_sets/profile
/home/tet/test_sets/scen.exec
/home/tet/test_sets/tet_code
/home/tet/test_sets/.profile
/home/tet/test_sets/run_tests
/home/tet/test_sets/MAN

%dir /home/tet
%dir /home/tet/test_sets
%dir /home/tet/test_sets/results

/usr/share/doc/lsb-test-pam/Artistic
/usr/share/doc/lsb-test-pam/README
/usr/share/man/man1/tjreport.1.gz

#==================================================
%changelog
* Wed Jun 30 2004 Chris Yeoh <cyeoh@samba.org>
- First official release is 2.0

* Thu Nov 13 2003 Chris Yeoh <cyeoh@samba.org>
- Create.

